/*
 * ftpd/ftpd.h
 *
 *	A very simple and basic ftp daemon. This file contains any
 *	common definitions.
 */

#ifndef _FTPD_H
#define _FTPD_H

#include <stdio.h>

#ifndef BUFLEN
#define BUFLEN 512
#endif

extern int tcp_listen(char *port);
extern int tcp_accept(int listen);
extern int tcp_close(int socket);

extern char* normalize(const char *path);

#define FTPD_LS_NONE	0x00
#define FTPD_LS_LONG	0x01

extern void ls(FILE *stream, const char *directory, int flags);

extern int get_config(const char *filename, const char *key,
		      char **v1, char **v2);

extern const char *progname;

#endif
